class GetAppCategories {
  bool? status;
  String? message;
  List<AppCategoryDetails>? details;

  GetAppCategories({this.status, this.message, this.details});

  factory GetAppCategories.fromJson(Map<String, dynamic> json) {
    return GetAppCategories(
      status: json['status'] as bool?,
      message: json['message'] as String?,
      details: json['details'] != null
          ? (json['details'] as List)
          .map((v) => AppCategoryDetails.fromJson(v))
          .toList()
          : null,
    );
  }
}

class AppCategoryDetails {
  int? categoryid;
  String? categoryname;
  String? categorytype;
  int? sortorder;
  int? moduleid;
  String? imageurl;
  String? iconurl;
  String? profileurl;
  int? crossaxis;
  int? mainaxis;
  String? status;

  AppCategoryDetails(
      {this.categoryid,
        this.categoryname,
        this.categorytype,
        this.sortorder,
        this.moduleid,
        this.imageurl,
        this.iconurl,
        this.profileurl,
        this.crossaxis,
        this.mainaxis,
        this.status});

  AppCategoryDetails.fromJson(Map<String, dynamic> json) {
    categoryid = json['categoryid'];
    categoryname = json['categoryname'];
    categorytype = json['categorytype'];
    sortorder = json['sortorder'];
    moduleid = json['moduleid'];
    imageurl = json['imageurl'];
    iconurl = json['iconurl'];
    profileurl = json['profileurl'];
    crossaxis = json['crossaxis'];
    mainaxis = json['mainaxis'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['categoryid'] = this.categoryid;
    data['categoryname'] = this.categoryname;
    data['categorytype'] = this.categorytype;
    data['sortorder'] = this.sortorder;
    data['moduleid'] = this.moduleid;
    data['imageurl'] = this.imageurl;
    data['iconurl'] = this.iconurl;
    data['profileurl'] = this.profileurl;
    data['crossaxis'] = this.crossaxis;
    data['mainaxis'] = this.mainaxis;
    data['status'] = this.status;
    return data;
  }
}


class GetSubCategoriesResponse {
  int? code;
  List<SubCategory>? details;
  String? message;
  bool? status;

  GetSubCategoriesResponse({this.code, this.details, this.message, this.status});

  GetSubCategoriesResponse.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    if (json['details'] != null) {
      details = <SubCategory>[];
      json['details'].forEach((v) {
        details!.add(SubCategory.fromJson(v));
      });
    }
    message = json['message'];
    status = json['status'];
  }
}

class SubCategory {
  int? subcategoryid;
  int? categoryid;
  String? subcategoryname;
  String? catgeoryname;
  int? moduleid;
  String? status;

  SubCategory({
    this.subcategoryid,
    this.categoryid,
    this.subcategoryname,
    this.catgeoryname,
    this.moduleid,
    this.status,
  });

  SubCategory.fromJson(Map<String, dynamic> json) {
    subcategoryid = json['subcategoryid'];
    categoryid = json['categoryid'];
    subcategoryname = json['subcategoryname'];
    catgeoryname = json['catgeoryname'];
    moduleid = json['moduleid'];
    status = json['status'];
  }
}




